Report an installer milestone
curl --request POST \
--url https://api.openworklabs.com/v1/managed-deployments/{deploymentId}/runs/{runId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"sequence": 50
}'import requests
url = "https://api.openworklabs.com/v1/managed-deployments/{deploymentId}/runs/{runId}/events"
payload = { "sequence": 50 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sequence: 50})
};
fetch('https://api.openworklabs.com/v1/managed-deployments/{deploymentId}/runs/{runId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Managed deployments
Report an installer milestone
Called by an enrolled installer to report the next ordered milestone with an allowlisted outcome code.
POST
/
v1
/
managed-deployments
/
{deploymentId}
/
runs
/
{runId}
/
events
Report an installer milestone
Authorizations
Den session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes. Not for API keys: send den_ keys in the x-api-key header instead.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Required range:
1 <= x <= 100Available options:
runner_connected, release_verified, account_verified, infrastructure_applied, services_ready, health_verified Available options:
succeeded, failed Available options:
release_verification_failed, infrastructure_failed, certificate_failed, service_unhealthy, health_check_failed, runner_failed Response
Report an installer milestone
Was this page helpful?